unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;
  // kbz ist die Nummmer des Klartextbuchstabens in ASCII, gbz die des Geheimbuchstabens
  kbz,gbz,i:integer;
  // kb ist der Klartextbuchstabe (Typ character) und gb der Geheimtextbuchstabe
  kb,gb:char;
  k:integer;//K ist der Schlüssel, der aus Edit3 eingelesen wird
  geheimtext,klartext:string;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  // Der Klartext wird eingelesen:
  klartext:=edit1.Text;
  //Der Schlüssel wird eingelesen
  k:=strtoint(edit3.Text);

  geheimtext:=''; // Der Geheimtext ist am Anfang leer, er wird ja erst "errechnet".
  //Der Klartext wird Buchstabe für Buchstabe beim ersten beginnend abgelesen (for_schleife)
  for i:=1 to length(klartext) do
    begin
      kb:=klartext[i]; // der abgelesene Buchstabe wird jeweils als kb gespeichert
      kbz:=ord(kb); // Die Nummer des Buchstabens kb in der ASCII_Table wird gesucht.
      gbz:=kbz+k; //Der Geheimbuchstabe hat die Nummer des Klartextbuchtabens plus den Schlüssel (Cäsar-Verschiebung)
      gb:=char(gbz); // Der Geheimbuchstabe wird über die Nummer bestimmt und in gb gespeichert.
      geheimtext:=geheimtext+gb; // Der Geheimtext wird Buchstabe für Buchstabe zusammengesetzt.
    end;

  edit2.Text:=geheimtext; // Ausgabe des Geheimtextes in edit2 .
end;

procedure TForm1.Button2Click(Sender: TObject); // Entschlüsseln: DEIN JOB!!!
begin
 // Der Geheimtext wird eingelesen aus edit2

//Der Schlüssel wird eingelesen

// Der Klartext ist am Anfang leer, er wird ja erst "errechnet".
//Der Geheimtext wird Buchstabe für Buchstabe beim ersten beginnend abgelesen (for_schleife)


// der abgelesene Buchstabe wird jeweils als gb gespeichert
// Die Nummer des Buchstabens gb in der ASCII_Table wird gesucht.
//Der Klartextbuchstabe hat die Nummer des Klartextbuchtabens minus den Schlüssel (Cäsar-Verschiebung)
// Der Klartextbuchstabe wird über die Nummer bestimmt und in kb gespeichert.
// Der Klartext wird Buchstabe für Buchstabe zusammengesetzt.


// Ausgabe des Klartextes in edit1 .
end;

end.

